### Method

# ECal ComponentDateTime set

since: 3.34

#### Declaration [src]

    void
    e_cal_component_datetime_set (
      ECalComponentDateTime* dt,
      const ICalTime* value,
      const gchar* tzid
    )

#### Description [src]

Sets both `value` and `tzid` in one call. Use `e_cal_component_datetime_set_value()` and `e_cal_component_datetime_set_tzid()` to set them separately.

Available since: 3.34

#### Parameters

`value`

  Type: `None`

  An `ICalTime` as a value.

  The data is owned by the caller of the method.

`tzid`

  Type: `const gchar*`

  Timezone ID for the `value`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.